Date: Mon, 4 Aug 1997 10:20:24 +0200 (CEST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: linux-m68k@phil.uni-sb.de
Subject: Re: L68K: Misc patches for 2.1.47
In-Reply-To: <9708011036.AA18281@faui21.informatik.uni-erlangen.de>
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

On Fri, 1 Aug 1997, Roman Hodek wrote:
> > Help is ok in general, but not without a modifier. Emacs already
> > uses it.
> 
> Does it? Ok, depends on the key map...
> 
> If a modifier is possible, I first have to take a look on
> shift_state... I don't want to promise if it's safe to use in that
> context. Otherwise: Which key would be an alternative? (I more use
> Undo in Emacs than Help, for which I also have C-h :-)

Here's the patch for Amiga. SysRq == HELP.

But it would be nice if we could use Alt+PrtSc on Amiga too :-) But this
requires the shidt_state.

I shiver if I think of someone pressing HELP+ by accidentB...

--- linux-2.1.47/arch/m68k/amiga/config.c.orig	Sun Aug  3 22:04:51 1997
+++ linux-2.1.47/arch/m68k/amiga/config.c	Sun Aug  3 22:34:25 1997
@@ -91,21 +91,21 @@
 
 #ifdef CONFIG_MAGIC_SYSRQ
 static int amiga_sysrq_keys[] = {
-	-1, /* R */
-	-1, /* A */
-	-1, /* B */
-	-1, /* H */
-	-1, /* O */
-	-1, /* S */
-	-1, /* U */
-	-1, /* P */
-	-1, /* T */
-	-1, /* M */
-	-1,	/* 1 */
-	-1, /* 0 */
-	-1, /* E */
-	-1, /* K */
-	-1, /* L */
+	0x13, /* R */
+	0x20, /* A */
+	0x35, /* B */
+	0x25, /* H */
+	0x18, /* O */
+	0x21, /* S */
+	0x16, /* U */
+	0x19, /* P */
+	0x14, /* T */
+	0x37, /* M */
+	0x01, /* 1 */
+	0x0A, /* 0 */
+	0x12, /* E */
+	0x27, /* K */
+	0x28, /* L */
 	-1
 };
 #endif
@@ -369,7 +369,7 @@
   mach_video_setup     = amiga_video_setup;
   kd_mksound           = amiga_mksound;
 #ifdef CONFIG_MAGIC_SYSRQ
-  mach_sysrq_key = -1;
+  mach_sysrq_key = 0x5f;	/* HELP */
   mach_sysrq_keys = amiga_sysrq_keys;
 #endif
 
Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/m68k on Amiga          http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

